package cz.frantovo.springDemo1.dao;

import cz.frantovo.springDemo1.dto.Kniha;
import java.util.ArrayList;
import java.util.Collection;
import javax.annotation.Resource;
import javax.sql.DataSource;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

/**
 *
 * @author fiki
 */
@Repository("knihaDAO")
public class KnihaDAO {

    private DataSource dataSource;

    @Resource
    public void setDataSource(DataSource dataSource) {
	this.dataSource = dataSource;
    }

    public Collection<Kniha> getKnihy() {
	Collection<Kniha> vysledek = new ArrayList<Kniha>();

	JdbcTemplate t = new JdbcTemplate(dataSource);

	t.queryForInt("SELECT 1;");

	Kniha k = new Kniha();
	k.setNazev("Pokusná kniha");
	vysledek.add(k);

	return vysledek;
    }
}
